<?php
	
	require_once __DIR__.'/../../main/inc/global.inc.php';
	
	if(api_is_anonymous()){
		header('Location: '.api_get_path(WEB_PATH));
	}

	$version = '?v=011';
	$content = '<style>
		#webconf-circle{display:none;}
		.breadcrumb{display:none;}
		.nav-tools{display:none;}
		#view_as_link{display:none;}
		@media (min-width: 1300px)
			.container {
				width: 1290px!important;
			}
		}
		#main_content{background:#6E6E6E;}
	</style>';
	
	$content .= '<script>maxLargeur();</script>';

	$action = isset($_GET['action']) ? Security::remove_XSS($_GET['action']) : '';

	$fileNameParams = __DIR__.'/params.xml';
	
	$Ctitle = "Webconf";
	$Cid = "";
	$Cstream = "";
	$CurlStream = "";

	if(file_exists($fileNameParams)){
	
		$xml = simplexml_load_file($fileNameParams);
		$config = ['rows' => '10'];
		
		$Cid =  $xml->param[0]->idstr;
		if($Cid!=''){
			$Ctitle =  $xml->param[0]->title;
			$Cstream =  $xml->param[0]->stream;
			$CurlStream =  $xml->param[0]->url;
		}

	}

	if($action=='add'||$action=='del'){
		include("webconf-add.php");
	}else{
		include("webconf-core.php");
	}
	
	$tpl = new Template();
	$tpl->assign('content', $content);
	$content = $tpl->fetch('/chamilo_boost_webconf/view/templatecontent.tpl');
	
	$tpl->display_one_col_template();


