<?php	

	function api_get_plugin_chamilo_boost_webconf_setting_access_url($plugin, $variable,$accessUrl)
	{
		
		$variableName = $plugin.'_'.$variable.$accessUrl;
		
		$params = [
			'category = ? AND subkey = ? AND variable = ?' => [
				'Plugins',
				$plugin,
				$variableName,
			],
		];
		$table = Database::get_main_table(TABLE_MAIN_SETTINGS_CURRENT);
		
		$result = Database::select(
			'selected_value',
			$table,
			array('where' => $params),
			'one'
		);
		if ($result) {
			$result = $result['selected_value'];
			return $result;
		}
		return null;
	}

	function url_origin_chamilo_boost_webconf( $s, $use_forwarded_host = false )
	{
		$ssl      = ( ! empty( $s['HTTPS'] ) && $s['HTTPS'] == 'on' );
		$sp       = strtolower( $s['SERVER_PROTOCOL'] );
		$protocol = substr( $sp, 0, strpos( $sp, '/' ) ) . ( ( $ssl ) ? 's' : '' );
		$port     = $s['SERVER_PORT'];
		$port     = ( ( ! $ssl && $port=='80' ) || ( $ssl && $port=='443' ) ) ? '' : ':'.$port;
		$host     = ( $use_forwarded_host && isset( $s['HTTP_X_FORWARDED_HOST'] ) ) ? $s['HTTP_X_FORWARDED_HOST'] : ( isset( $s['HTTP_HOST'] ) ? $s['HTTP_HOST'] : null );
		$host     = isset( $host ) ? $host : $s['SERVER_NAME'] . $port;
		return $protocol . '://' . $host;
	}

	function full_url_chamilo_boost_webconf( $s, $use_forwarded_host = false )
	{
		return url_origin_chamilo_boost_webconf( $s, $use_forwarded_host ) . $s['REQUEST_URI'];
	}
