<?php

$form = new FormValidator('dictionary', 'post', api_get_self().'?action=add');

$stringTitle = $form->addText('title',get_lang('title').'&nbsp;:&nbsp;',true);
$stringTitle->setValue('Conference '.date("d-m-Y"));

$letter = chr(rand(97,122));
$letter2 = chr(rand(97,122));
$letter3 = chr(rand(97,122));
$confId = $letter.date("dms").$letter2.$letter3;

$form->addElement('static','ID','ID&nbsp;:&nbsp;','<div style="padding:7px;" ><u>'.$confId.'</u></div>');

$radioStreamA = $form->addElement('radio','streamSrc','Source&nbsp;:&nbsp;','Link bigbluebutton (get link room on <a target="_blank" href="https://demo.bigbluebutton.org">https://demo.bigbluebutton.org</a>)','D');

$radioStreamB = $form->addElement('radio','streamSrc','','stream Youtube  (get link direct live on youtube) ', 'C');


$stringTitle = $form->addText('url','link&nbsp;-&#8250;',false);

$radioStreamA = $form->addElement('radio','streamSrc','Source&nbsp;:&nbsp;','Stream appr.tc (Automatic WebRTC)', 'A');
//$radioStreamA = $form->addElement('radio','streamSrc','','stream whereby.com', 'B');

$html_results_enabled[] = $form->createElement('button','submit','&nbsp;&nbsp;'.'Lancer','play','primary');

//$xml = simplexml_load_file($fileNameParams);

//https://appr.tc/r/c54c55

$form->addGroup($html_results_enabled);

$content .= '<div class="container-fluid" style="background-color:white;" >
	<div class="row" style="background-color:white;" >
		<div class="col-md-12" style="background-color:white;" >
			<div class="page-header">
				<h3>
					Webconf
				</h3>
			</div>
			<div class="row">
                <div style="position:relative;" class="col-md-12">';
				$content .= $form->returnForm();
				$content .= '</div>
				<div style="text-align:center;" class="col-md-12">
					<a href="webconf.php" class="btn btn-default" >Annuler</a>
				</div>
			</div>
		</div>
	</div>
</div>';

if($action=='add'){

	// Save the XML
	if ($form->validate()){

		$values = $form->getSubmitValues();
		$params = [
			'title' => $values['title'],
			'stream' => $values['streamSrc'],
			'url' => $values['url']
		];
		
		$xmlstr = '<?xml version="1.0" encoding="UTF-8" ?>';
		$xmlstr .= "<params><param>";
		$xmlstr .= "<title><![CDATA[".$values['title']."]]></title>";
		$xmlstr .= "<idstr><![CDATA[".$confId."]]></idstr>";
		$xmlstr .= "<stream><![CDATA[".$values['streamSrc']."]]></stream>";
		$xmlstr .= "<url><![CDATA[".$values['url']."]]></url>";
		$xmlstr .= "</param></params>";

		$fd = fopen($fileNameParams,'w');	
		fwrite($fd,$xmlstr);
		fclose($fd);
		
		$filereturn = api_get_self();
		
		header('Location: '.$filereturn);
		exit;

	}

}

if($action=='del'){

	$xmlstr = '<?xml version="1.0" encoding="UTF-8" ?>';
	$xmlstr .= "<params><param>";
	$xmlstr .= "<title></title>";
	$xmlstr .= "<idstr></idstr>";
	$xmlstr .= "<stream></stream>";
	$xmlstr .= "<url></url>";
	$xmlstr .= "</param></params>";

	$fd = fopen($fileNameParams,'w');	
	fwrite($fd,$xmlstr);
	fclose($fd);

	$filereturn = api_get_self();
	header('Location: '.$filereturn);
}